Skip to content
GAMPEONCreate
New project

Create a studio

POST
/v1/studios
curl --request POST \
--url https://api.gampeon.com/v1/studios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "slug": "example", "name": "example", "tagline": "example", "description": "example", "website": "example" }'

You become its owner. At most 5 studios per account.

Not available with access tokens.

Rate limit: 5 per hour per account.

Media typeapplication/json
object
slug
required

3 to 32 characters a-z, 0-9, -

string
/^[a-z0-9][a-z0-9-]{1,30}[a-z0-9]$/
name
required
string
>= 2 characters <= 48 characters
tagline
string
<= 120 characters
description

Line breaks allowed

string
<= 4000 characters
website

Website. Only https:// URLs, empty string removes it.

string
<= 200 characters /^$|^https://[^\s<>"]+$/

Example generated

{
"slug": "example",
"name": "example",
"tagline": "example",
"description": "example",
"website": "example"
}

Studio created

Media typeapplication/json
object
slug
required
string
name
required
string
tagline
required
string
description
required
string
website
required
One of:
string

Example generated

{
"slug": "example",
"name": "example",
"tagline": "example",
"description": "example",
"website": "example"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: slug_taken, studio_limit_reached

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 5 per hour per account. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback